## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanDefaultParsedSourceHelper Class Reference

Inheritance diagram for XalanDefaultParsedSourceHelper:

[legend]
Collaboration diagram for XalanDefaultParsedSourceHelper:

[legend]
List of all members.

## Public Member Functions

- XalanDefaultParsedSourceHelper (const XalanSourceTreeDOMSupport &theSourceDOMSupport, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
- ~XalanDefaultParsedSourceHelper ()
- virtual DOMSupport & getDOMSupport ()
    Get the DOMSupport instance.
- virtual XMLParserLiaison & getParserLiaison ()
    Get the XMLParserLiaison instance.

## Static Public Member Functions

- XalanDefaultParsedSourceHelper * create (const XalanSourceTreeDOMSupport &theSourceDOMSupport, MemoryManagerType &theManager)

## Constructor & Destructor Documentation

XalanDefaultParsedSourceHelper::XalanDefaultParsedSourceHelper | ( | const XalanSourceTreeDOMSupport & | theSourceDOMSupport,
|  | MemoryManagerType &theManager | XALAN_DEFAULT_MEMMGR
| ) |

XalanDefaultParsedSourceHelper::~XalanDefaultParsedSourceHelper | ( |  | ) |

## Member Function Documentation

XalanDefaultParsedSourceHelper* XalanDefaultParsedSourceHelper::create | ( | const XalanSourceTreeDOMSupport & | theSourceDOMSupport,
|  | MemoryManagerType & | theManager
| ) | `[static]`

virtual DOMSupport& XalanDefaultParsedSourceHelper::getDOMSupport | ( |  | ) | `[virtual]`

Get the DOMSupport instance.

Returns:
  A reference to a DOMSupport instance.

Implements XalanParsedSourceHelper.

virtual XMLParserLiaison& XalanDefaultParsedSourceHelper::getParserLiaison | ( |  | ) | `[virtual]`

Get the XMLParserLiaison instance.

Returns:
  A rerefernce to an XMLParserLiaison instance.

Implements XalanParsedSourceHelper.

The documentation for this class was generated from the following file:

- XalanDefaultParsedSource.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.